ZipFileSet (Apache Ant API)
Keywords: org.apache.tools.ant.types.ZipFileSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class ZipFileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.types.ArchiveFileSet
                          org.apache.tools.ant.types.ZipFileSet

All Implemented Interfaces:
  java.lang.Cloneable, ResourceCollection, SelectorContainer

    public class ZipFileSet

extends ArchiveFileSet

A ZipFileSet is a FileSet with extra attributes useful in the context of Zip/Jar tasks. A ZipFileSet extends FileSets with the ability to extract a subset of the entries of a Zip file for inclusion in another Zip file. It also includes a prefix attribute which is prepended to each entry in the output Zip file. Since ant 1.6 ZipFileSet can be defined with an id and referenced in packaging tasks

Field Summary

Fields inherited from class org.apache.tools.ant.types.ArchiveFileSet
`DEFAULT_DIR_MODE, DEFAULT_FILE_MODE`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`` | `ZipFileSet()` Constructor for ZipFileSet
`protected` | `ZipFileSet(FileSet fileset)` Constructor using a fileset arguement.
`protected` | `ZipFileSet(ZipFileSet fileset)` Constructor using a zipfileset arguement.

Method Summary
`java.lang.Object` | `clone()` Return a ZipFileSet that has the same properties as this one.
`java.lang.String` | `getEncoding()` Get the encoding used for this ZipFileSet.
`protected AbstractFileSet` | `getRef(Project p)` A ZipFileset accepts another ZipFileSet or a FileSet as reference FileSets are often used by the war task for the lib attribute
`protected ArchiveScanner` | `newArchiveScanner()` Return a new archive scanner based on this one.
`void` | `setEncoding(java.lang.String enc)` Set the encoding used for this ZipFileSet.

Methods inherited from class org.apache.tools.ant.types.ArchiveFileSet
`addConfigured, configureFileSet, dieOnCircularReference, getCheckedRef, getDirectoryScanner, getDirMode, getDirMode, getFileMode, getFileMode, getFullpath, getFullpath, getPrefix, getPrefix, getSrc, getSrc, hasDirModeBeenSet, hasFileModeBeenSet, integerSetDirMode, integerSetFileMode, isFilesystemOnly, iterator, setDir, setDirMode, setErrorOnMissingArchive, setFileMode, setFullpath, setPrefix, setSrc, setSrcResource, size, toString`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addReadable, addSelector, addSize, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setRefid, setupDirectoryScanner, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZipFileSet

    public ZipFileSet()

  Constructor for ZipFileSet

### ZipFileSet

    protected ZipFileSet(FileSet fileset)

  Constructor using a fileset arguement.

  Parameters:
    `fileset` - the fileset to use

### ZipFileSet

    protected ZipFileSet(ZipFileSet fileset)

  Constructor using a zipfileset arguement.

  Parameters:
    `fileset` - the zipfileset to use

Method Detail

### setEncoding

    public void setEncoding(java.lang.String enc)

  Set the encoding used for this ZipFileSet.

  Parameters:
    `enc` - encoding as String.
  Since:
    Ant 1.7

### getEncoding

    public java.lang.String getEncoding()

  Get the encoding used for this ZipFileSet.

  Returns:
    String encoding.
  Since:
    Ant 1.7

### newArchiveScanner

    protected ArchiveScanner newArchiveScanner()

  Return a new archive scanner based on this one.

  Specified by:
    `newArchiveScanner` in class `ArchiveFileSet`
  Returns:
    a new ZipScanner with the same encoding as this one.

### getRef

    protected AbstractFileSet getRef(Project p)

  A ZipFileset accepts another ZipFileSet or a FileSet as reference FileSets are often used by the war task for the lib attribute

  Overrides:
    `getRef` in class `AbstractFileSet`
  Parameters:
    `p` - the project to use
  Returns:
    the abstract fileset instance

### clone

    public java.lang.Object clone()

  Return a ZipFileSet that has the same properties as this one.

  Overrides:
    `clone` in class `ArchiveFileSet`
  Returns:
    the cloned zipFileSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD